Name:           teddysun-release
Version:        1.0
Release:        1%{?dist}
Summary:        YUM configuration for Teddysun's Repository

Group:          System Environment/Base
License:        GPL
URL:            https://dl.lamp.sh/
Source1:        RPM-GPG-KEY-Teddysun
Source2:        teddysun.repo
Source3:        teddysun_linux.repo
BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildArchitectures: noarch
Requires:       yum
Requires:       epel-release

%description
This package contains yum/dnf configuration and GPG Public keys for Teddysun's Repository

%prep
echo empty prep

%build
echo empty build

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -Dp -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-Teddysun
%{__install} -Dp -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/yum.repos.d/teddysun.repo
%{__install} -Dp -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/yum.repos.d/teddysun_linux.repo

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config %{_sysconfdir}/yum.repos.d/teddysun.repo
%config %{_sysconfdir}/yum.repos.d/teddysun_linux.repo
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-Teddysun
